scala.math.BigDecimal

# RoundingMode

#### object RoundingMode extends Enumeration

Source
  BigDecimal.scala

Linear Supertypes
Enumeration, Serializable, java.io.Serializable, AnyRef, Any
Content Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. RoundingMode
2. Enumeration
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### type RoundingMode = Value

2. #### class Val extends Value with Serializable

   A class implementing the scala.Enumeration.Value type.

   A class implementing the scala.Enumeration.Value type. This class can be overridden to change the enumeration's naming and integer identification behaviour.

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### abstract class Value extends Ordered[Value] with Serializable

   The type of the enumerated values.

   The type of the enumerated values.

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   A class for sets of values.

   A class for sets of values. Iterating through this set will yield values in increasing order of their ids.

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val CEILING: Value

5. #### val DOWN: Value

6. #### val FLOOR: Value

7. #### val HALF_DOWN: Value

8. #### val HALF_EVEN: Value

9. #### val HALF_UP: Value

10. #### val UNNECESSARY: Value

11. #### val UP: Value

12. #### final def Value(i: Int, name: String): Value

    Creates a fresh value, part of this enumeration, called `name` and identified by the integer `i`.

    Creates a fresh value, part of this enumeration, called `name` and identified by the integer `i`.

    i

      An integer that identifies this value at run-time. It must be unique amongst all values of the enumeration.

    name

      A human-readable name for that value.

    returns

      Fresh value with the provided identifier `i` and name `name`.

    Attributes
      protected
    Definition Classes
      Enumeration

13. #### final def Value(name: String): Value

    Creates a fresh value, part of this enumeration, called `name`.

    Creates a fresh value, part of this enumeration, called `name`.

    name

      A human-readable name for that value.

    returns

      Fresh value called `name`.

    Attributes
      protected
    Definition Classes
      Enumeration

14. #### final def Value(i: Int): Value

    Creates a fresh value, part of this enumeration, identified by the integer `i`.

    Creates a fresh value, part of this enumeration, identified by the integer `i`.

    i

      An integer that identifies this value at run-time. It must be unique amongst all values of the enumeration.

    returns

      Fresh value identified by `i`.

    Attributes
      protected
    Definition Classes
      Enumeration

15. #### final def Value: Value

    Creates a fresh value, part of this enumeration.

    Creates a fresh value, part of this enumeration.

    Attributes
      protected
    Definition Classes
      Enumeration

16. #### object ValueOrdering extends Ordering[Value]

    An ordering by id for values of this set

    An ordering by id for values of this set

    Definition Classes
      Enumeration

17. #### object ValueSet extends Serializable

    A factory object for value sets

    A factory object for value sets

    Definition Classes
      Enumeration

18. #### final def apply(x: Int): Value

    The value of this enumeration with given id `x`

    The value of this enumeration with given id `x`

    Definition Classes
      Enumeration

19. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

20. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

23. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

24. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

25. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

26. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

27. #### final def maxId: Int

    The one higher than the highest integer amongst those used to identify values in this enumeration.

    The one higher than the highest integer amongst those used to identify values in this enumeration.

    Definition Classes
      Enumeration

28. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

29. #### var nextId: Int

    The integer to use to identify the next created value.

    The integer to use to identify the next created value.

    Attributes
      protected
    Definition Classes
      Enumeration

30. #### var nextName: Iterator[String]

    The string to use to name the next created value.

    The string to use to name the next created value.

    Attributes
      protected
    Definition Classes
      Enumeration

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

34. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

35. #### def toString(): String

    The name of this enumeration.

    The name of this enumeration.

    Definition Classes
      Enumeration → AnyRef → Any

36. #### def values: ValueSet

    The values of this enumeration as a set.

    The values of this enumeration as a set.

    Definition Classes
      Enumeration

37. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

40. #### final def withName(s: String): Value

    Return a `Value` from this `Enumeration` whose name matches the argument `s`.

    Return a `Value` from this `Enumeration` whose name matches the argument `s`. The names are determined automatically via reflection.

    s

      an `Enumeration` name

    returns

      the `Value` of this `Enumeration` if its name matches `s`

    Definition Classes
      Enumeration
    Exceptions thrown
      NoSuchElementException

      if no `Value` with a matching name is in this `Enumeration`

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped